Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans.factory.parsing
Class ImportDefinition

    java.lang.Object
      org.springframework.beans.factory.parsing.ImportDefinition

All Implemented Interfaces:
  BeanMetadataElement

    public class ImportDefinition

extends java.lang.Object
implements BeanMetadataElement

Representation of an import that has been processed during the parsing process.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  `ReaderEventListener.importProcessed(ImportDefinition)`

Constructor Summary
`ImportDefinition(java.lang.String importedResource)` Create a new ImportDefinition.
`ImportDefinition(java.lang.String importedResource, java.lang.Object source)` Create a new ImportDefinition.
`ImportDefinition(java.lang.String importedResource, Resource[] actualResources, java.lang.Object source)` Create a new ImportDefinition.

Method Summary
`Resource[]` | `getActualResources()`
`java.lang.String` | `getImportedResource()` Return the location of the imported resource.
`java.lang.Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImportDefinition

    public ImportDefinition(java.lang.String importedResource)

  Create a new ImportDefinition.

  Parameters:
    `importedResource` - the location of the imported resource

### ImportDefinition

    public ImportDefinition(java.lang.String importedResource,
                            java.lang.Object source)

  Create a new ImportDefinition.

  Parameters:
    `importedResource` - the location of the imported resource
    `source` - the source object (may be `null`)

### ImportDefinition

    public ImportDefinition(java.lang.String importedResource,
                            Resource[] actualResources,
                            java.lang.Object source)

  Create a new ImportDefinition.

  Parameters:
    `importedResource` - the location of the imported resource
    `source` - the source object (may be `null`)

Method Detail

### getImportedResource

    public final java.lang.String getImportedResource()

  Return the location of the imported resource.

### getActualResources

    public final Resource[] getActualResources()

### getSource

    public final java.lang.Object getSource()

  Description copied from interface: `BeanMetadataElement`
  Return the configuration source `Object` for this metadata element (may be `null`).

  Specified by:
    `getSource` in interface `BeanMetadataElement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD